-----------------------------------------------------------------------------------
-- Configuration for Diminish.
-- All options are case sensitive.
-- Type /reload ingame after changing settings for them to take effect.
-- Lines starting with "--" are ignored by the addon and contain descriptions of the options.
-----------------------------------------------------------------------------------
local options = {

    -- Font size of the cooldown countdown text.
    timerTextSize = 11,

    -- Width & height of the icons. (size between 18-32 recommended)
    iconSize = 24,

    -- Toggles reverse grow for the icons, and also positions the icons to the right of the arena frame.
    iconReverse = false,

    -- Toggles the cooldown countdown text. (Only if enabled in esc->interface->actionbars)
    timerTextOff = false,

    -- Toggles the cooldown swipe animation.
    timerSpiral = true,

    -- Toggles DR indicator coloring of the icon borders. (Red = DR full immune, Yellow = 50%)
    borderColors = true,

    -- Toggles DR indicator coloring of the countdown text.
    timerColors = false,

    -- How many arena units to add tracking for.
    -- Set to 5 if you ever play 5v5 wargames.
    maxArenaFrames = 3,

    -----------------------------------------------------------------------------------
    -- !! ADVANCED options !!
    -- These options are class specific.
    -----------------------------------------------------------------------------------

    -- Toggle enabled categories
    categories = {

        ["MAGE"] = {
        -- These categories will be enabled when you play a mage
        -- Remove whole line to disable a category, or comment it out by putting -- infront of it.
            "Stun",
            "Root",
            "Silence",
            "Incapacitate",
            "Disorient",
        },

        ["ROGUE"] = {
        -- These categories will be enabled when you play a rogue
            "Stun",
            "Root",
            "Silence",
            "Incapacitate",
            "Disorient",
        },

        -- Just follow the pattern to add more.
    },

    -- Set standard textures for categories.
    -- E.g stun DR will always show the same icon to whatever stun icon is set here.
    textures = {

        ["MAGE"] = {
            -- These textures will be used when playing a mage.
            -- Replace -1 with the spellID of the spell you want as a texture
            ["Stun"] = -1,
            ["Incapacitate"] = -1,
            ["Root"] = -1,
            ["Silence"] = -1,
            ["Disorient"] = -1,

        },

        ["ROGUE"] = {
            -- These textures will be used when playing a rogue.
            ["Stun"] = -1,
            ["Incapacitate"] = -1,
            ["Root"] = -1,
            ["Silence"] = -1,
            ["Disorient"] = -1,
        },

        -- Just follow the pattern to add more.
    }
}

-----------------------------------------------------------------------------------
-- Configuration END
-----------------------------------------------------------------------------------

local _, NAMESPACE = ...
local cat = options.categories[select(2, UnitClass("player"))]
NAMESPACE.options = options
NAMESPACE.categories = cat and next(cat) ~= nil and cat or {"Stun", "Root", "Silence", "Incapacitate", "Disorient"}
